<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Entity.html">Entity</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Entity Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a6b7d7299241f78315cbc82bc024c948c">_deinitialise</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#acd33143466b60036804bf6c7e892afc9">_getBoneMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a530fa6cc57e3ca417c84dc2ae9eae384">_getBuffersMarkedForAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0bedf7e8287940816e3e6837beed8d97">_getHardwareVertexAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf4f61aeb45d61195c248757e3d1c6fe">_getLightList</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aea46a459f54ac31990215bf719f2467c">_getMeshLodFactorTransformed</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a29c422f41b34f3ebb00e03cacb3a6885">_getNumBoneMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a4f29d1a54e12463309106ae0c2481973">_getSkelAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a2e87ca90ebb0423e86513c94a6d6853e">_getSkelAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae49f28e3e0b589d24ee8ab89ab55bc78">_getSoftwareVertexAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a73887c63f8cba5d6fb6db667792ca428">_getVertexAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5224496a80fa5c04e8a623794b397186">_initialise</a>(bool forceReinitialise=false)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a947a919597342cdfcaf879612da1f966">_isAnimated</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a9eadfc4eaf055507e79adbd510ef05c3">_isSkeletonAnimated</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3de64ec72046e4dc3d08dc81a9be191a">_markBuffersUsedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aa00c4d0ae6c87888b0188bb7356d99dc">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7eb4f29cfb41d91de47ff92c9c011f60">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ae307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aa85b59cdaf94741dc0a1bbddb7bfcfa7">_updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a372c6678c35f79f9424d8753647c5d19">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a37e5b145882e789f4aac7f8e098ff2a2">addSoftwareAnimationRequest</a>(bool normalsAlso)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aeb610ebdd3c589488f5fcdbad15ae590">applyVertexAnimation</a>(bool hardwareAnimation, bool stencilShadows)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a655e046c103898fbea82bb4758200cb9">attachObjectImpl</a>(MovableObject *pMovable, TagPoint *pAttachingPoint)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a919321c3cef8f5775fdcb0a6c1a30fb6">attachObjectToBone</a>(const String &amp;boneName, MovableObject *pMovable, const Quaternion &amp;offsetOrientation=Quaternion::IDENTITY, const Vector3 &amp;offsetPosition=Vector3::ZERO)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a362ee625bacf70c5e6820fa761f43f02">backgroundLoadingComplete</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#abcafaeb14fede970bb6a1f1920dcf2e0">backgroundPreparingComplete</a>(Resource *)</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014a4397f702e25c1da682f76e7846182c27">BIND_HARDWARE_MORPH</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ab11174dbf84a2c1dd06f418662e97acc">BIND_ORIGINAL</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014a88cb6b9b2241b9ec83389b637d59a49f">BIND_SOFTWARE_MORPH</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ae7af4a831d02b636ad9184ce8cf952bb">BIND_SOFTWARE_SKELETAL</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a72b3c2be105b34e4c7bd7ac0f6b3194d">bindMissingHardwarePoseBuffers</a>(const VertexData *srcData, VertexData *destData)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a8d222ad3431c92197ebc87bea090ba8c">buildSubEntityList</a>(MeshPtr &amp;mesh, SubEntityList *sublist)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac770afba9b9355a18d8fd7e8ae4879e2">cacheBoneMatrices</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab2dd91762f094b0ae89ec17f71d232b8">calcVertexProcessing</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7d70e264e0a16efa42ab8eefeab292c9">ChildObjectList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a400eb4dc70adbaaa14ec904bec80ba86">ChildObjectListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5a42f44b2470340e0f4d9c84aedfeee2">chooseVertexDataForBinding</a>(bool hasVertexAnim)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af830122f31f84fe1abe4abafe5d28e73">clone</a>(const String &amp;newName) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#afe98cefd0aab29b9836ccfc3e7a4b439">cloneVertexDataRemoveBlendInfo</a>(const VertexData *source)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a56ce1aa6035d892a058b66db05d7e121">detachAllObjectsFromBone</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac4119d84e8cdeccbd4f07149e006cbd0">detachAllObjectsImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab53cc49d402913fde37fa4976f5bfdd5">detachFromParent</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aa8ebed255eff0ae34d2c07b5c75be7c3">detachObjectFromBone</a>(const String &amp;movableName)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a9a305624b894260c7cbeabd1eb5df612">detachObjectFromBone</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3ccf1861fad72fb3bde8be9022fe3031">detachObjectImpl</a>(MovableObject *pObject)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a46450fa419de7cb1d208ab356e390aef">Entity</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae8a24b01e880d1d7985d98ccf58142ce">Entity</a>(const String &amp;name, const MeshPtr &amp;mesh)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a6ebd07b4b60153d4b7a405e1fe75419b">EntityFactory</a> class</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a732222e1a0aad66c21b8bb5f66b783a2">EntitySet</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a27c758b9abd17432c666b35760c0e883">extractTempBufferInfo</a>(VertexData *sourceData, TempBlendedBufferInfo *info)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#acae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aeafd0d0469fce414c325d9badcfb6a1d">finalisePoseNormals</a>(const VertexData *srcData, VertexData *destData)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0f8e068aa3cd6e3ae6c02f1179ee6552">findBlendedVertexData</a>(const VertexData *orig)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7a1a0c6137494a85f06ff531f5a6b8c9">findSubEntityForVertexData</a>(const VertexData *orig)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af7952ee37a96c2f00347872b093bb729">getAllAnimationStates</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a8d81333411db3484d330a3d9dda2900f">getAlwaysUpdateMainSkeleton</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae787615c9b8bc73c5aee13138314f388">getAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7a848ca2c6baf222366f7da049af4e45">getAttachedObjectIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a728f1a347a2679b53f362b1088c939b1">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac94edb826b58fc7d0e5034ea2dfee919">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a56204f0d0c16976eab1f3b4e4141bdb8">getChildObjectsBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a9df98da871235bd055873e18a518b0f1">getCurrentLodIndex</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a73512903a0b2ed08f2887562affe5c61">getDisplaySkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab3d3d4e4aef1e2831572c2c052d29aec">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a538d975b35be25e7d705b6310ec3d84d">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a86bccc1127552d48ba58e65a1418a441">getManualLodLevel</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a2dc989455dd9365c2047975cae67bf3b">getMesh</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a91750c91f199ec1b75c721fcfe19c40e">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a2d7583e9d929256fd9b840aafc19abc4">getNumManualLodLevels</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7feae6b7226cc998c7bf6836c47a3690">getNumSubEntities</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8f2627b8d1658838a7c79c82148c6303">getReceivesShadows</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1025983039f59637e9dde740b5013175">getRenderingMinPixelSize</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5c2c5a1d7923238f10b78c030c57a5ea">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDistance, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad5d856758e4d7690a73a5079a9a3c043">getSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a90e99a701e73958ddd854d71e3c86d9a">getSkeletonInstanceSharingSet</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a631f3d04035a5fcd61855ea80f88bae1">getSkipAnimationStateUpdate</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3dd84e0c897035b1f9cb688250af8e09">getSoftwareAnimationNormalsRequests</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a900ff2a18c8c6ebf1bf5751e18dfdad5">getSoftwareAnimationRequests</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a38b4ae5e0a39a1088a47cda113cbb4e2">getSubEntity</a>(unsigned int index) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a863d6cdbc4c6cfa8a36671919f22b214">getSubEntity</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a14ace86637fc9e265272de3d9faee514">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aaac5bf65835f733433f3338132f2f01f">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abbf5cf5545c219ce9be1997ff5dd2204">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a1aac0e578d6455d155bab1f716391aaa">getVertexDataForBinding</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5edde0278ae3942c9816690cb3462853">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a08900679175af3be2cf039cada86ec85">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7e2e96f56ef4e3ba70c47badb21bd8ad">hasAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af155dfe2635fad3ed2aff25fcde75421">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0c748a6ced3cf1bfa0df0f418d44d553">hasSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af0d66f34851e5949f22f72e292c2476f">hasVertexAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a4afc9d71c8fc5d547fbbce07adfa910f">initHardwareAnimationElements</a>(VertexData *vdata, ushort numberOfElements, bool animateNormals)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a2b762527b71c212cf3dcb0332aedb14d">initialisePoseVertexData</a>(const VertexData *srcData, VertexData *destData, bool animateNormals)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a39cfd5b78a4326156accf5ed3146ddc6">isDebugDisplayEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a93a178977fab04ad47394186259316a1">isHardwareAnimationEnabled</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a080b0c12616c24fff379fd8a8b8588b0">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aff1706913baf992f108cc0fe4c95a53b">isParentTagPoint</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a082340c9150be4d1b0509fd235e26ddc">Listener</a>()</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#ac8d962ac52ef53a2ad6ddbdc5b6c9655">loadingComplete</a>(Resource *)</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aa22bc3ba9fafa755be2121fe5d956dc4">LODEntityList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a1c9570a8fee109da0545db45fce8e807">mAlwaysUpdateMainSkeleton</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a8a81acbe8b109c90a9626af1bb8e3486">mAnimationState</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae46743f3b416899db0e51dd7cb6a9d68">markBuffersUnusedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab9f9c2bae3cca46ce5bb38c49af2dac5">mBoneMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad0b28dae0755af4580b6fef9cfee09c5">mBoneWorldMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#adb12cb08c315b91d4afd3fd6e8bdf42a">mChildObjectList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a4e03df1ea47c84af8463742bba9dd1d7">mCurrentHWAnimationState</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac439108451539e95ac9829ab6520306c">mDebugDisplay</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a430f4ea48fb326c719d999ff0455381d">mDisplaySkeleton</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a6d86af633b0f5b7e6a56ae5b7ad73fb7">mFrameAnimationLastUpdated</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5519a0296deb06a911d2583f33fa4698">mFrameBonesLastUpdated</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7166859b52d853eb7ae6dc345480ab85">mFullBoundingBox</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a6f05d449d210ae71943fc05713bb9fc3">mHardwarePoseCount</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3ba3f9becccbbbb88ffbdd2830041046">mHardwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a9d37a344485174f9302a2482ef086bb0">mInitialised</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ace6391afd6a4b3c63d5f60b77493a903">mLastParentXform</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3db70b0c8b2e53a3c71671217e5a516c">mLightMask</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad1c62a082a224da4ef9dd61500af0cbc">mLodEntityList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a8ace376fcfac7bcea9556cad5af31d62">mMaterialLodFactor</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad73a2ef9a361d670351e9c545f49f202">mMaterialLodFactorTransformed</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a18fda237648767210ac8d8150f47a012">mMaxMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad1d282aa020c7151c6b22c4b7bd11b03">mMaxMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a59d0c2fae2ca85f9159f7fe3d657042f">mMesh</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab2ed671863919ebfafd45a0bcc89a582">mMeshLodFactorTransformed</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a537ad00ef6de8026f719b1e7eacaa967">mMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab54b39b13fe5b50fc3dd5feb564a4202">mMeshStateCount</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad87b226a94509299ae28aca21a5cd23b">mMinMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a6c5e42c9a3002c95428eefa12db6f725">mMinMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a56e7d5ccac2877061b0919648f7f0b34">mMinPixelSize</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af32437e0dd990a1f18524db2a8ba0ed4">mNumBoneMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a46758025f0a3ee1e16adcf788a487f40">mPreparedForShadowVolumes</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa34e0feb87409120726a489f52b39c58">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac9ee5f673870a76b23eb5291b3fa3f28">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad8f98286e8c18823fcd1329a8bce6483">mSchemeHardwareAnim</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adeb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5ff5ec4158aa0f1aac774de73e8e2915">mShadowRenderables</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad3425f765090d6301c5e1de089c50b40">mSharedSkeletonEntities</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac1e7ef6c059cece297bcdadc7978a526">mSkelAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae3ab1dc4ed3adb6e883537ddef580c03">mSkeletonInstance</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#aa41f08e5989c0971258b9ea3a41e4ab5">mSkipAnimStateUpdates</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#afb19400e77cdf8d7185b97636a932db8">mSoftwareAnimationNormalsRequests</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad6d932b783b839685b5c96f8ee7f972e">mSoftwareAnimationRequests</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac5cae2e18091b3e188eb3cd967cf7388">mSoftwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ac59b88f21929c945ab3076808aed716b">mSubEntityList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae8913b0ce137c8b26e624ec6645da0dd">mTempSkelAnimInfo</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af0753feda78522e7a6f27a97411eccbf">mTempVertexAnimInfo</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af00b75d92e7d62f5ff9bd4847d1786e8">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0bd12cb0730ed5c7a14ca6ee61adb323">mVertexAnimationAppliedThisFrame</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a72572fcb7db729d8d500b36aea90146b">mVertexProgramInUse</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a424ddc70850921eea51f039c197f697c">prepareTempBlendBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a7951abdcff85efd6cf58a49d94442f67">preparingComplete</a>(Resource *)</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#abf96091c1fc77dcb58c39d0d87ff70af">reevaluateVertexProcessing</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad698bddda21deaa941ccbf2b4fb833e8">refreshAvailableAnimationState</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e039c80d31e36c17f4e7fc85e5c6cdc">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab5ddc32fa1b9e150dc8348aeef66d273">removeSoftwareAnimationRequest</a>(bool normalsAlso)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a4629646ac6c6f19f7ef24df94222df07">restoreBuffersForUnusedAnimation</a>(bool hardwareAnimation)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ab5df0928988270830eb5d1e7dfcf0343">SchemeHardwareAnimMap</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#adc5139cf503eca69759f84a04285c996">setAlwaysUpdateMainSkeleton</a>(bool update)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2b559ddd8df033cafa5d64502c7d0c3a">setDebugDisplayEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad35ffbcce1d3074cdb6f23fdd54bebaa">setDisplaySkeleton</a>(bool display)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0b7dc685c1dc7ec4dd677750d17ee145">setLightMask</a>(uint32 lightMask)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a926d18b143ea3ca2de6a5a8f9dd649ce">setMaterial</a>(const MaterialPtr &amp;material)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ad575e7f401ddff60368cfa5fd112d34c">setMaterialLodBias</a>(Real factor, ushort maxDetailIndex=0, ushort minDetailIndex=99)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#af1f6fa480119317f3a405ffcad10ba08">setMaterialName</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#acabf6919ae8c5e612c467b5176916564">setMeshLodBias</a>(Real factor, ushort maxDetailIndex=0, ushort minDetailIndex=99)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ae47fc3ef5063f3bcf2469eb28b19c42f">setPolygonModeOverrideable</a>(bool PolygonModeOverrideable)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9ad2786aa67624f26c7ff245c673ad5e">setRenderingMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a779d9a0bb037f2dd42493329bf5ff805">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a2fc9c3b61a21faed96036bdb8a8f9948">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0dc8a3c62067d0b8c87a0c47b0509ac9">setSkipAnimationStateUpdate</a>(bool skip)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a578e73481cd3797df4e455b385acdb45">shareSkeletonInstanceWith</a>(Entity *entity)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a15d03448d5f94cb547ef0212aaaaa680">sharesSkeletonInstance</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a81d22d1b948432bd8d1127690b00b53f">stopSharingSkeletonInstance</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5102c4966341431b89134719b3998e3b">SubEntity</a> class</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0918acbbcfa6325d2de7572aa462386b">SubEntityList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a7aac543dcf66ef4800f2f4d407be902f">tempSkelAnimBuffersBound</a>(bool requestNormals) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a49d6eae3281e4bbb138f48deb776fc92">tempVertexAnimBuffersBound</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a9f8cdeb73a65a6a1c018e5ac783dfafe">unloadingComplete</a>(Resource *)</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a9b04f27b372b05090ac0ed9e7ab90fb9">updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ac9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014">VertexDataBindChoice</a> enum name</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a84002d9f9ace39b209231535dbcf4126">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a5a74b604993a8e9c9f809c4881941713">~Entity</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a087cbfc9a4ad6490b09884d482932945">~Listener</a>()</td><td><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Ogre::Resource::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#aa09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
